# UndirectedEdge | data-structure-typed
Documentation for data-structure-typed

# Class UndirectedEdge

#### Hierarchy

- AbstractEdge
  - UndirectedEdge

- Defined in src/data-structures/graph/undirected-graph.ts:15

#####
Index

### Constructors

constructor

### Properties

_vertices
DEFAULT_EDGE_WEIGHT

### Accessors

hashCode
vertices
weight

## Constructors

### constructor

- new UndirectedEdge(v1, v2, weight?): UndirectedEdge

- #### Parameters

  - ##### v1: VertexId

  - ##### v2: VertexId

  - ##### `Optional` weight: number

  #### Returns UndirectedEdge

  Overrides AbstractEdge.constructor

  - Defined in src/data-structures/graph/undirected-graph.ts:16

## Properties

### `Private` _vertices

_vertices: [VertexId, VertexId]

- Defined in src/data-structures/graph/undirected-graph.ts:21

### `Static` DEFAULT_EDGE_WEIGHT

DEFAULT_EDGE_WEIGHT: number = 1

Inherited from AbstractEdge.DEFAULT_EDGE_WEIGHT

- Defined in src/data-structures/graph/abstract-graph.ts:27

## Accessors

### hashCode

- get hashCode(): string

- #### Returns string

  Inherited from AbstractEdge.hashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:47
- set hashCode(v): void

- #### Parameters

  - ##### v: string

  #### Returns void

  Inherited from AbstractEdge.hashCode

  - Defined in src/data-structures/graph/abstract-graph.ts:51

### vertices

- get vertices(): [VertexId, VertexId]

- #### Returns [VertexId, VertexId]

  - Defined in src/data-structures/graph/undirected-graph.ts:23
- set vertices(v): void

- #### Parameters

  - ##### v: [VertexId, VertexId]

  #### Returns void

  - Defined in src/data-structures/graph/undirected-graph.ts:27

### weight

- get weight(): number

- #### Returns number

  Inherited from AbstractEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:37
- set weight(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Inherited from AbstractEdge.weight

  - Defined in src/data-structures/graph/abstract-graph.ts:41

Generated using TypeDoc